package com.google.inject.internal;

/**
 * Creates {@link ConstructionProxy} instances.
 */
interface ConstructionProxyFactory<T> {

    /**
     * Gets a construction proxy for the given constructor.
     */
    ConstructionProxy<T> create() throws ErrorsException;
}
