package com.google.inject.internal;

import com.google.inject.spi.Message;

/**
 * Handles {@code Binder.addError} commands.
 *
 */
final class MessageProcessor extends AbstractProcessor {

    MessageProcessor(Errors errors) {
        super(errors);
    }

    @Override
    public Boolean visit(Message message) {
        errors.addMessage(message);
        return true;
    }
}
