package com.google.inject.internal;

import com.google.inject.spi.InjectionPoint;

/**
 * Injects a field or method of a given object.
 */
interface SingleMemberInjector {
    void inject(InternalContext context, Object o) throws InternalProvisionException;

    InjectionPoint getInjectionPoint();
}
