= Guice - simplified and reduced version

This is xbib Guice, a build of Google Guice with the following differences to the 
original [Google Guice Core Library](https://github.com/google/guice):

- only external dependencies are 
 - javax.inject:javax.inject:1
 - org.xbib:jsr-305:1.0.0
 - com.google.guava:guava:30.1

- the extra AOP stuff was removed (aopalliance/cglib), no intercepting any more
- removed all logging, uses of java.util.logger.* stuff and logger default binding
- removed all java.io.Serializable dependent stuff. Note: everything which relies to be serializable was removed.
- reformatted source by IntelliJ and cleaned up source of @author and @since tags
- target of compilation is Java 11, no support for Java 6/7
- introduced Gradle as build system
- junit tests made compatible to junit 4
- assistedinject and multibindings extensions are included

All credits belong to the original authors, especially Bob Lee http://blog.crazybob.org/

== License

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
