package com.google.inject.binder;

import java.lang.annotation.Annotation;

/**
 * See the EDSL examples at {@link com.google.inject.Binder}.
 */
public interface AnnotatedConstantBindingBuilder {

    /**
     * See the EDSL examples at {@link com.google.inject.Binder}.
     */
    ConstantBindingBuilder annotatedWith(
            Class<? extends Annotation> annotationType);

    /**
     * See the EDSL examples at {@link com.google.inject.Binder}.
     */
    ConstantBindingBuilder annotatedWith(Annotation annotation);
}
