package com.google.inject.spi;

import com.google.inject.Binding;

/**
 * An untargetted binding. This binding indicates that the injector should use its implicit binding
 * strategies to resolve injections.
 *
 */
public interface UntargettedBinding<T> extends Binding<T> {
}
