package com.google.inject.spi;

import com.google.inject.Binding;
import com.google.inject.Guice;
import com.google.inject.Injector;
import org.junit.Test;

/**
 * Simple little test that should compile. Ensures that wildcards on the
 * generics are correct.
 */
public class BindingTargetVisitorTest {

    @Test
    public void testBindingTargetVisitorTypeTest() {
        Injector injector = Guice.createInjector();
        for (Binding<?> binding : injector.getBindings().values()) {
            binding.acceptTargetVisitor(new DefaultBindingTargetVisitor<Object, Object>() {
            });
        }
    }
}
